Bug 183359 - RFE: upgrade to PEAR 1.4.9 (was: 1.4.7)
RFE: upgrade to PEAR 1.4.9 (was: 1.4.7)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php-pear (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks: php-pear-PCP
  Show dependency treegraph
 
Reported: 2006-02-28 11:47 EST by Tim Jackson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.4.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 07:48:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Jackson 2006-02-28 11:47:49 EST
PEAR 1.4.7 is out.

(With it, so is PEAR_Command_Packaging which requires PEAR 1.4.7 and will help
to further improve the PEAR RPM generation tools; notwithstanding the fact that
bug #176725 is now closed, further improvements can be made to get generated
specs closer to Fedora guidelines)
Comment 1 Joe Orton 2006-02-28 12:22:39 EST
OK, this is slightly too late for FC5 since we're in release freeze now, but it
can go in as an update.

BTW - I did add %{_libdir}/php/pear to the php package now too, is that being
used for the .xml files?
Comment 2 Tim Jackson 2006-02-28 12:29:27 EST
No worries. Roll on FC5 final.

As for the XML files of PEAR packages there is still only php-pear-DB in Extras;
from the changelog of that package:

* Tue Jan 24 2006 Tim Jackson <rpm@timj.co.uk> 1.7.6-4
- Move package XML file to _libdir/php/pear rather than _var/lib/pear

:)
Comment 3 Tim Jackson 2006-04-04 09:15:54 EDT
PEAR 1.4.9 is out now with some important fixes.

Useful reference to PLD spec file which uses the standard tarball instead of
.phar installer to package up PEAR:

http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SPECS/php-pear-PEAR.spec
Comment 4 Tim Jackson 2006-04-14 13:11:12 EDT
Upstream have verified that http://pear.php.net/install-pear-nozlib.phar is a
supported location which always contains a PHAR of the latest version. See
http://news.php.net/php.pear.dev/42210.
Comment 5 Remi Collet 2006-05-08 04:55:41 EDT
I've prepare a lots of php-pear-XXX rpm for the extras (the ones that were
included in php-pear-5.0.4 in FC4 and are missing in FC5).

Using pear 1.4.6 produce some errors and if the installation works, in some case
uninstall is impossible (ex : php-pear-Net-SMTP, Bug # 190958).

All works perfectly with version 1.4.9.
This update will really be helpful.
Comment 6 Joe Orton 2006-05-08 04:59:00 EDT
Has someone got updated patches for 1.4.9?  It doesn't build by just updating to
the latest .phar.
Comment 7 Remi Collet 2006-05-08 05:11:59 EDT
Yes.

SPEC : http://remi.collet.free.fr/rpms/SPEC/php-pear-1.4.9-remi.spec
SRPM : http://remi.collet.free.fr/rpms/SRPMS/php-pear-1.4.9-4.fc5.remi.src.rpm

Only missing 2 things

The RPM should own %{_datadir}/pear/.pkgxml (bug #190252)
A patch to then template.spec to produce spec which use this dir.
Comment 8 Joe Orton 2006-05-08 05:34:29 EDT
OK, thanks.  Built and should show up in Raw Hide today.  Any comments?
Comment 9 Remi Collet 2006-05-08 05:50:22 EDT
Really great.

Probably too late... but :
SPEC : http://remi.collet.free.fr/rpms/SPEC/php-pear-1.4.9-remi.spec
SRPM : http://remi.collet.free.fr/rpms/SRPMS/php-pear-1.4.9-5.fc5.remi.src.rpm

(updated patches to use %{_datadir}/pear/.pkgxml)
Comment 10 Joe Orton 2006-05-08 09:41:00 EDT
Thanks.  php-pear-1.4.9-1 is now on its way to updates-testing (and Raw Hide) -
please test it out!
Comment 11 Joe Orton 2006-05-17 07:48:40 EDT
Thanks for the patches.

Note You need to log in before you can comment on or make changes to this bug.